### Constructor

# Secret Collection new_for_dbus_path_finish

#### Declaration [src]

    SecretCollection*
    secret_collection_new_for_dbus_path_finish (
      GAsyncResult* result,
      GError** error
    )

#### Description [src]

Finish asynchronous operation to get a new collection proxy for a collection in the secret service.

This constructor is not directly available to language bindings

#### Parameters

`result` | `GAsyncResult`
| The asynchronous result passed to the callback.
| The data is owned by the caller of the function.
`error` | `GError **`
| The return location for a `GError*`, or `NULL`.

#### Return value

Returns: | `SecretCollection`
| The new collection, which should be unreferenced with `g_object_unref()`
| The caller of the function takes ownership of the data, and is responsible for freeing it.